
class PortData
{
public:
	int location;
	UCHAR defaultmask;
};

class DipSwitch
{
public:
	int mask;
	char *name;
	UCHAR defaultvalue;
	int extra;
};

#define DIPNAME(defaultvalue, name, extra) { 1, name, defaultvalue, extra },
#define DIPSETTING(defaultvalue, name) { 0, name, defaultvalue, 0 },
#define PORTSTART { -1, 0, 0, 0 },
#define DIPSWITCHESSTART(name) DipSwitch name[] = {
#define DIPSWITCHESEND { -2, 0, 0, 0 } };

#define ADDCOMBOITEM(combo, item) SendDlgItemMessage(hwndDlg, combo, CB_ADDSTRING, 0, (LONG ) item);
#define SETNAME(name, item) SendDlgItemMessage(hwndDlg, name, WM_SETTEXT, 0, (LONG ) item);
#define SETCOMBO(combo, line) SendDlgItemMessage(hwndDlg, combo, CB_SETCURSEL, line, 0);

enum {DIP_END = -2, PORT_START, DIP_SETTING, DIP_NAME};